ProcCred (Sigar API)
Date: 2010-04-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class ProcCred

    java.lang.Object
      org.hyperic.sigar.ProcCred

All Implemented Interfaces:
  java.io.Serializable

    public class ProcCred

extends java.lang.Object
implements java.io.Serializable

ProcCred sigar class.

See Also:
  Serialized Form

Constructor Summary
`ProcCred()`

Method Summary
`void` | `gather(Sigar sigar, long pid)`
`long` | `getEgid()` Get the Process effective group id.
`long` | `getEuid()` Get the Process effective user id.
`long` | `getGid()` Get the Process group id.
`long` | `getUid()` Get the Process user id.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProcCred

    public ProcCred()

Method Detail

### gather

    public void gather(Sigar sigar,
                       long pid)
                throws SigarException

  Throws:
    `SigarException`

### getUid

    public long getUid()

  Get the Process user id.

  Supported Platforms: AIX, Darwin, FreeBSD, HPUX, Linux, Solaris.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Process user id

### getGid

    public long getGid()

  Get the Process group id.

  Supported Platforms: AIX, Darwin, FreeBSD, HPUX, Linux, Solaris.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Process group id

### getEuid

    public long getEuid()

  Get the Process effective user id.

  Supported Platforms: AIX, Darwin, FreeBSD, HPUX, Linux, Solaris.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Process effective user id

### getEgid

    public long getEgid()

  Get the Process effective group id.

  Supported Platforms: AIX, Darwin, FreeBSD, HPUX, Linux, Solaris.

  System equivalent commands:

  - AIX: `top, ps`
  - Darwin: `top, ps`
  - FreeBSD: `top, ps`
  - HPUX: `top, ps`
  - Linux: `top, ps`
  - Solaris: `top, ps`
  - Win32: `taskman`

  Returns:
    Process effective group id

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.